Patch-Source: https://gitlab.freedesktop.org/libfprint/fprintd/-/commit/b04d4eb3e87da2627ac16364bc03bf6c2c452b8c.diff

diff --git a/meson.build b/meson.build
index 93f96557a2e02adc1aa24c72c82816d1c1a2462f..859bcf2c7ad63ba2d74f837d00f0ec339a340658 100644
--- a/meson.build
+++ b/meson.build
@@ -137,7 +137,10 @@ endif
 polkit_policy_directory = polkit_gobject_dep.get_pkgconfig_variable('policydir')
 
 # Tests dependencies
-pam_wrapper_dep = dependency('pam_wrapper', required: get_option('pam'))
+pam_wrapper_dep = dependency('pam_wrapper', required: false)
+if get_option('pam') and not pam_wrapper_dep.found()
+    warning('Dependency "pam_wrapper" required by test suite not found')
+endif
 
 xmllint = find_program('xmllint', required: false)
 python3 = find_program('python3') # No meson without it!
diff --git a/tests/pam/meson.build b/tests/pam/meson.build
index dc0b07165da62524e744c4516d3d7d20a39ac1f1..bb3c1d9e6b0361035a8f4240a873907f8bfd18f9 100644
--- a/tests/pam/meson.build
+++ b/tests/pam/meson.build
@@ -12,7 +12,9 @@ if address_sanitizer
     preloaded_libs += 'asan'
 endif
 
-preloaded_libs += 'pam_wrapper'
+if pam_wrapper_dep.found()
+    preloaded_libs += 'pam_wrapper'
+endif
 
 foreach libname: preloaded_libs
     lib = run_command(meson.get_compiler('c'),
